You are here

[Outdated] Eclipse Portable 3.4.2 Development Test 8

98 posts / 0 new
Last post
Chris Morgan
Chris Morgan's picture
Offline
Last seen: 7 years 5 months ago
Joined: 2007-04-15 21:08
Noy possible

It is not possible at all - any program that uses Subversion will use $APPDATA\Subversion. It cannot be overridden at all.

I am a Christian and a developer and moderator here.

“A soft answer turns away wrath, but a harsh word stirs up anger.” – Proverbs 15:1

Chris Morgan
Chris Morgan's picture
Offline
Last seen: 7 years 5 months ago
Joined: 2007-04-15 21:08
Not possible

It is not possible at all - any program that uses Subversion will use $APPDATA\Subversion. It cannot be overridden at all.

I am a Christian and a developer and moderator here.

“A soft answer turns away wrath, but a harsh word stirs up anger.” – Proverbs 15:1

Jimbo
Offline
Last seen: 2 years 10 months ago
Joined: 2007-12-17 05:43
But with some collaboration

from the papps launchers, you could work around it to some extent, especially if you were happy for all your SVN-aware apps to share a common copy of the folder.

For example, instead of storing it in each papps data folder, it could live in CommonFiles (yeah, I know that isn't exactly within the spec, but these are actually common data files).

Then, within the $APPDATA\Subversion folder that the first launcher puts into place (backing up the original locally installed one), there is a sub-folder, $APPDATA\Subversion\PApps\, and in that folder, every portable app launcher creates a simple lock file, with a name that reflects the application. so if 2 or 3 are running, there will be 2 or 3 files in there.

When a launcher exits, its cleanup strategy is to remove its own lock file, then, if and only if that was the last lock file, copy the folder back to the flash drive, and restore the backup.

That way the first to launch sets up the portable environment, you can run as many as you like, overlapping in whatever sequence you like, and the last to exit cleans up.

Only drawback is that every single SVN-aware portable app absolutely has to follow the convention.

temp4746
Offline
Last seen: 12 years 1 month ago
Joined: 2009-03-09 04:06
Where is gluxon?

I really wonder when gluxon is going to come back and update this i really wish to have a portable eclipse 3.5

gluxon
gluxon's picture
Offline
Last seen: 2 years 2 months ago
Developer
Joined: 2008-06-21 19:26
Sorry...

Sorry... I can't be on PortableApps.com very often for the next month or two. Maybe a few short visits in a while.

In the meantime there's something all of you can do to get your EclipsePortable up to date and working.

1. DL the latest version.
2. Update the launcher by clicking the link I posted!!! You'll have that strange G:\PortableApps\G:\PortableApps\EclipsePortable bug with the workspace.
3.Get the Eclipse you want from http://www.eclipse.org
4. Delete everything in the App\Eclipse dir
5. Extract the .zip you DLed.
6. Put everthing in the zip into the App\Eclipse folder.

K, thanks. And the launcher should support Eclipse update restarts, but I haven't tested it out yet.

evstevemd
Offline
Last seen: 11 years 3 months ago
Joined: 2007-07-31 06:37
Cannot install Pydev via

Cannot install Pydev via install manager. The latest according to the post is 8 and in sourceforge I see 5. What I'm I missing here? And also 9 was delete where you uploaded.

gluxon
gluxon's picture
Offline
Last seen: 2 years 2 months ago
Developer
Joined: 2008-06-21 19:26
Read the thread, it says

Read the thread, it says "Outdated".

I've linked to the new post, and the Dev Test was reset because it's Eclipse Portable 3.5.1

So, Eclipse Portable 3.5.1 Development Test 5 is the latest version. This is topic is for Eclipse Portable 3.4.2 Development Test 8. There's difference.

And if you can't install pydev then it's an Eclipse Problem, not and Eclipse Portable. Do you have all the requirements for it?

Pages

Topic locked